# environments/dev/outputs.tf

# IPs publiques et internes pour l'accès et Ansible
output "frontend_public_ip" {
  description = "IP publique du Frontend pour les tests HTTP/HTTPS."
  value       = module.compute.frontend_public_ip
}

output "internal_ips" {
  description = "Map des IPs internes pour la configuration Ansible."
  value       = module.compute.internal_ips
}

# Information OS Login
output "gcp_user_for_ssh" {
  description = "Nom d'utilisateur pour se connecter en SSH via OS Login."
  # Utilise une fonction de regex pour extraire le nom d'utilisateur avant le '@' de l'email
  value       = regex("^(.*)@", var.gcp_user_email)[0] 
}

output "service_account_email" {
  description = "Email du compte de service Terraform."
  value       = module.iam.service_account_email
}